Subject: [PATCH - v7] of: Move of_dma_configure() to device.c to help re-use

From: [email-masked] (Murali Karicheri)
Date: Tue, 3 Mar 2015 17:54:25 -0500

On 03/03/2015 03:53 PM, Bjorn Helgaas wrote:
> [+cc linux-pci]
>
> On Tue, Mar 3, 2015 at 11:55 AM, Murali Karicheri<[email-masked]>  wrote:
>> On 03/02/2015 10:43 PM, Bjorn Helgaas wrote:
>>>
>>> On Mon, Mar 2, 2015 at 3:59 PM, Murali Karicheri<[email-masked]>
>>> wrote:
>>>>
>>>> Move of_dma_configure() to device.c so it can be re-used for PCI devices
>>>> to
>>>> obtain DMA configuration from DT.  Also add a second argument so that for
>>>> PCI, the DT node of root bus host bridge can be used to obtain the DMA
>>>> configuration for the slave PCI device.
>>>>
>>>> Tested-by: Suravee Suthikulpanit<[email-masked]>   (AMD
>>>> Seattle)
>>>> Signed-off-by: Murali Karicheri<[email-masked]>
>>>> Signed-off-by: Bjorn Helgaas<[email-masked]>
>>>> Reviewed-by: Catalin Marinas<[email-masked]>
>>>> Acked-by: Will Deacon<[email-masked]>
>>>> CC: Joerg Roedel<[email-masked]>
>>>> CC: Grant Likely<[email-masked]>
>>>> CC: Rob Herring<[email-masked]>
>>>> CC: Russell King<[email-masked]>
>>>> CC: Arnd Bergmann<[email-masked]>
>>>> ---
>>>>    - Based on the existing patch applied to arm-pci/pci/iommu for pci next
>>>> (Bjorn)
>>>>    - Fixed the build issue reported on ARCH=x86_64
>>>
>>>
>>> Hi Murali,
>>>
>>> Can you please repost the entire series with fixed patches?  It's
>>> easier for me to reapply the whole thing at once than it is to keep
>>> track of and fiddle with individual patches.
>>>
>>> Bjorn
>>
>> Bjorn,
>>
>> Ok. I have just posted v8 of the series including all patches.
>
> Thanks, I put them on a pci/murali-v8 branch for now.  I'm assuming
> you want them to go through my tree.  In the cover letter, you
> mentioned the "arm-pci iommu branch", so if that means you want them
> via an ARM tree instead of mine, just let me know.  I assume the build
> will be clean and I'll rename it back to pci/iommu.

My bad. It should have beem pci/iommu. My remote was named arm-pci and 
hence the confusion. Please apply it to the pci/iommu branch.

Thanks

Murali
> Bjorn

-- 
Murali Karicheri
Linux Kernel, Texas Instruments